classification
Title: Binding fails
Type: Stage:
Components: Tkinter Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Tkinter binding involving Control-spacebar raises unicode error
View: 1028
Assigned To: loewis Nosy List: aligrudi, loewis
Priority: normal Keywords:

Created on 2007-08-15 14:34 by aligrudi, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg32644 - (view) Author: Ali Gholami Rudi (aligrudi) Date: 2007-08-15 14:34
In py3k branch r57057, when I run::

  import Tkinter

  tk = Tkinter.Tk()
  text = Tkinter.Text(tk)

  def callback(event=None):
      return

  text.bind('<Control-space>', callback)
  text.pack()
  text.focus_set()
  tk.mainloop()


when I press C-space I get this exception::

  Traceback (most recent call last):
    File "spacefailure.py", line 13, in <module>
      tk.mainloop()
    File "/usr/local/lib/python3.0/lib-tk/Tkinter.py",  line 1022, in mainloop
      self.tk.mainloop(n)
  UnicodeDecodeError: 'utf8' codec can't decode bytes in position 0-1: illegal encoding

The strange thing about it is that other bindings work
as expected.

I'm running on ubuntu feisty.
msg55792 - (view) Author: Ali Gholami Rudi (aligrudi) Date: 2007-09-10 20:00
The same as issue1028.  Fixed in r57450.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: Python 3.0
2007-09-10 21:28:35loewissetstatus: open -> closed
resolution: duplicate
superseder: Tkinter binding involving Control-spacebar raises unicode error
2007-09-10 20:00:39aligrudisetmessages: + msg55792
2007-08-28 05:48:57aligrudisetversions: + Python 3.0
2007-08-15 14:34:06aligrudicreate